Bare Metal Server
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Bare Metal Server service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.1 | CURRENT | - |
| 1.0 | DEPRECATED | 20251231 |
OpenAPI URL
https://baremetal.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Assign Baremetal Private NAT IP
1.1.1 - 1.1
post /v1/baremetals/{baremetal_id}/private-nat-ips
Description
Assign Private NAT IP at Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/private-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"private_nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"private_nat_ip_id": "03cd065d8acc4e47b11a11dc1411323e"
}
Example HTTP response
Response 202
{
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
}
1.2 - Assign Baremetal Public NAT IP
1.2.1 - 1.1
post /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Assign Public NAT IP at Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.2.2 - 1.0
post /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Assign Public NAT IP at Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.3 - Attach Baremetal Local Subnet
1.3.1 - 1.1
put /v1/baremetals/local-subnet/{baremetal_id}/attach
Description
Attach Local Subnet for Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetAttachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/attach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.3.2 - 1.0
put /v1/baremetals/local-subnet/{baremetal_id}/attach
Description
Attach Local Subnet for Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetAttachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/attach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.4 - Create Baremetals
1.4.1 - 1.1
post /v1/baremetals
Description
Create Bare Metal Servers.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"lock_enabled": true,
"os_user_id": "user001",
"os_user_password": "password",
"placement_group_name": "pgtest",
"region_id": "kr-west1",
"server_details": [
{
"bare_metal_local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"bare_metal_local_subnet_ip_address": "192.168.0.1",
"bare_metal_server_name": "bmserver-001",
"ip_address": "192.168.0.1",
"local_disk_partitions": [
{
"mount_point": "/mountpoint",
"partition_name": "partitionname",
"partition_size": 20,
"partition_type": "ext4"
}
],
"local_disk_type": "flat",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
"server_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"use_hyper_threading": true
}
],
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"tags": [
{
"key": "key",
"value": "value"
}
],
"use_placement_group": false,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.4.2 - 1.0
post /v1/baremetals
Description
Create Bare Metal Servers.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"lock_enabled": true,
"os_user_id": "user001",
"os_user_password": "password",
"placement_group_name": "pgtest",
"region_id": "kr-west1",
"server_details": [
{
"bare_metal_local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"bare_metal_local_subnet_ip_address": "192.168.0.1",
"bare_metal_server_name": "bmserver-001",
"ip_address": "192.168.0.1",
"local_disk_partitions": [
{
"mount_point": "/mountpoint",
"partition_name": "partitionname",
"partition_size": 20,
"partition_type": "ext4"
}
],
"local_disk_type": "flat",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
"server_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"use_hyper_threading": true
}
],
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"tags": [
{
"key": "key",
"value": "value"
}
],
"use_placement_group": false,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.5 - Delete Baremetal Private NAT IP
1.5.1 - 1.1
delete /v1/baremetals/{baremetal_id}/private-nat-ips
Description
Delete Private NAT IP Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/private-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 202
{
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
}
1.6 - Delete Baremetal Public NAT IP
1.6.1 - 1.1
delete /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Delete Public NAT IP Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.6.2 - 1.0
delete /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Delete Public NAT IP Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.7 - Delete Baremetals
1.7.1 - 1.1
delete /v1/baremetals
Description
Delete Bare Metal Servers.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"baremetal_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.7.2 - 1.0
delete /v1/baremetals
Description
Delete Bare Metal Servers.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"baremetal_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.8 - Detach Baremetal Local Subnet
1.8.1 - 1.1
put /v1/baremetals/local-subnet/{baremetal_id}/detach
Description
Detach Local Subnet for Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/detach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.8.2 - 1.0
put /v1/baremetals/local-subnet/{baremetal_id}/detach
Description
Detach Local Subnet for Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/detach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.9 - List Baremetal Images
1.9.1 - 1.1
get /v1/images
Description
List Bare Metal Server Images.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | Region ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"images": [
{
"created_at": "2024-07-11 08:56:59",
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"scp_image_type": "STANDARD",
"scp_os_version": "8.7"
}
]
}
1.9.2 - 1.0
get /v1/images
Description
List Bare Metal Server Images.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | Region ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"images": [
{
"created_at": "2024-07-11 08:56:59",
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"scp_image_type": "STANDARD",
"scp_os_version": "8.7"
}
]
}
1.10 - List Baremetal Products
1.10.1 - 1.1
get /v1/bm_products
Description
List Bare Metal Server products.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | image_id optional | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ProductListResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/bm_products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"products": [
{
"compute_class_type_name": "StandardMetal-2",
"compute_class_type_value": "s2_metal",
"cpu_name": "cpu 16 vCore",
"cpu_unit": "vCPU",
"cpu_value": "64",
"created_at": "2024-05-17T00:23:17Z",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"disk_unit": "GB",
"disk_value": "480",
"id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"memory_name": "server memory 128GB",
"memory_unit": "GB",
"memory_value": "128",
"modified_at": "2024-05-17T00:23:17Z",
"name": "s2v16m128_metal",
"name_with_generation": "s2v16m128_metal",
"os_disk_gb": "480",
"state": "AVAILABLE",
"type": "SCALE"
}
]
}
1.10.2 - 1.0
get /v1/bm_products
Description
List Bare Metal Server products.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | image_id optional | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ProductListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/bm_products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"products": [
{
"attri_name": "attri name",
"attri_value": "attri value",
"compute_class_type_name": "StandardMetal-2",
"compute_class_type_unit": "compute_class_type_unit",
"compute_class_type_value": "s2_metal",
"cpu_generation": "cpu generation",
"cpu_name": "cpu 16 vCore",
"cpu_unit": "vCPU",
"cpu_value": "64",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"disk_name": "disk_name",
"disk_unit": "GB",
"disk_value": "480",
"id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"infiniband_name": "infiniband_name",
"infiniband_unit": "infiniband_unit",
"infiniband_value": "infiniband_value",
"memory_name": "server memory 128GB",
"memory_unit": "GB",
"memory_value": "128",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "s2v16m128_metal",
"name_with_generation": "s2v16m128_metal",
"socket_name": "socket_name",
"socket_unit": "socket_unit",
"socket_value": "socket_value",
"state": "AVAILABLE",
"type": "SCALE"
}
]
}
1.11 - List Baremetals
1.11.1 - 1.1
get /v1/baremetals
Description
Get Bare Metal Servers list.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | server_name optional | Bare Metal Server name Example : bmserver-001
| any of [string, null] | None |
| query | state optional | Bare Metal Server state Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Bare Metal Server IP address Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetals": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"region_id": "kr-west1",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
],
"count": 20
}
1.11.2 - 1.0
get /v1/baremetals
Description
Get Bare Metal Servers list.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | server_name optional | Bare Metal Server name Example : bmserver-001
| any of [string, null] | None |
| query | state optional | Bare Metal Server state Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Bare Metal Server IP address Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetals": [
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_status": "ACTIVE",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
],
"count": 20
}
1.12 - Lock Baremetal
1.12.1 - 1.1
put /v1/baremetals/{baremetal_id}/lock
Description
Lock Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.12.2 - 1.0
put /v1/baremetals/{baremetal_id}/lock
Description
Lock Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.13 - Show Baremetal
1.13.1 - 1.1
get /v1/baremetals/{baremetal_id}
Description
Show Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"private_nat_info": {
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
},
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_info": {
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
},
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
1.13.2 - 1.0
get /v1/baremetals/{baremetal_id}
Description
Show Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_status": "ACTIVE",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
1.14 - Start Baremetals
1.14.1 - 1.1
post /v1/baremetals/start
Description
Start Bare Metal Servers.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.14.2 - 1.0
post /v1/baremetals/start
Description
Start Bare Metal Servers.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15 - Stop Baremetals
1.15.1 - 1.1
post /v1/baremetals/stop
Description
Stop Bare Metal Servers.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15.2 - 1.0
post /v1/baremetals/stop
Description
Stop Bare Metal Servers.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16 - Unlock Baremetal
1.16.1 - 1.1
put /v1/baremetals/{baremetal_id}/unlock
Description
Unlock Bare Metal Server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16.2 - 1.0
put /v1/baremetals/{baremetal_id}/unlock
Description
Unlock Bare Metal Server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
2 - Models
2.1 - AsyncResponse
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
request_id required | Request ID Example : req-002daa83-52d9-41e8-9b0f-d31d35610f65
| string | |
resource_id required | Resource ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.2 - BaremetalActionResponse
| Name | Description | Schema | Default |
|---|
baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.3 - BaremetalCreateRequest
| Name | Description | Schema | Default |
|---|
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
init_script optional | Init script Example : init script
| any of [string, null] | |
lock_enabled optional | Use Lock Example : True
| boolean | |
os_user_id required | OS user ID Example : user001
| string | |
os_user_password required | OS user password Example : password
| string | |
placement_group_name optional | Placement Group Name Example : pgtest
| any of [string, null] | |
region_id required | Region ID Example : kr-west1
| string | |
server_details required | Detailed settings for each server
| array[ServerDetailsRequest] | |
subnet_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
tags optional | Tag
| any of [array[TagRequest], null] | |
use_placement_group optional | Use Placement Group Example : False
| boolean | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.4 - BaremetalListResponse
| Name | Description | Schema | Default |
|---|
baremetals required |
| array[BaremetalShowResponse] | |
count required | count Example : 20
| any of [integer, null] | |
2.5 - BaremetalListResponseV1Dot1
| Name | Description | Schema | Default |
|---|
baremetals required |
| array[BaremetalListV1Dot1] | |
count required | count Example : 20
| integer | |
2.6 - BaremetalListV1Dot1
| Name | Description | Schema | Default |
|---|
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | Image version Example : RHEL 8.7 for BM
| string | |
lock_enabled optional | Use Lock Example : True
| boolean | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
network_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
os_type required | OS type Example : WINDOWS
| string | |
placement_group_name optional | Placement Group Name Example : pgtest
| any of [string, null] | |
policy_ip required | Policy IP Example : 192.168.0.1
| string | |
product_type_id required | Bare Metal Server scale ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
region_id required | Region ID Example : kr-west1
| string | |
server_name required | Bare Metal Server name Example : bmserver-001
| string | |
server_type required | Bare Metal Server scale type Example : s1v8m32_metal
| string | |
state required | Bare Metal Server state Example : RUNNING
| string | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.7 - BaremetalServerAssignPrivateNatIpRequest
| Name | Description | Schema | Default |
|---|
private_nat_id required | Private NAT ID Example : a4fd0216cd32442a82733bbb8be0e82b
| string | |
private_nat_ip_id required | Private NAT IP ID Example : 03cd065d8acc4e47b11a11dc1411323e
| string | |
2.8 - BaremetalServerAssignPublicNatIpRequest
| Name | Description | Schema | Default |
|---|
public_ip_address_id required | Public IP ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.9 - BaremetalServerIdResponse
| Name | Description | Schema | Default |
|---|
baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.10 - BaremetalShowResponse
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created by Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
hyper_threading_use required | Use Hyper Threading Example : True
| boolean | |
id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | Image version Example : RHEL 8.7 for BM
| string | |
init_script required | Init script Example : init script
| string | |
local_subnet_info optional | Local Subnet info
| any of [array[LocalSubnetInfoResponse], null] | |
lock_enabled optional | Use Lock Example : True
| boolean | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified by Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
network_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
os_type required | OS type Example : WINDOWS
| string | |
placement_group_name optional | Placement Group Name Example : pgtest
| any of [string, null] | |
policy_ip required | Policy IP Example : 192.168.0.1
| string | |
policy_nat optional | Public NAT IP Example : 192.168.0.1
| any of [string, null] | |
policy_use_nat optional | Use Public NAT Example : True
| boolean | |
product_type_id required | Bare Metal Server scale ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
public_nat_status optional | Public NAT status Example : ACTIVE
| any of [string, null] | |
region_id required | Region ID Example : kr-west1
| string | |
root_account required | Root Account Example : rootaccount
| string | |
server_name required | Bare Metal Server name Example : bmserver-001
| string | |
server_type required | Bare Metal Server scale type Example : s1v8m32_metal
| string | |
state required | Bare Metal Server state Example : RUNNING
| string | |
time_zone required | Time Zone Example : Asia/Seoul
| string | |
use_local_subnet optional | Use Local Subnet Example : True
| boolean | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.11 - BaremetalShowResponseV1Dot1
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created by Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
hyper_threading_use required | Use Hyper Threading Example : True
| boolean | |
id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
image_id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | Image version Example : RHEL 8.7 for BM
| string | |
init_script required | Init script Example : init script
| string | |
local_subnet_info optional | Local Subnet info
| any of [array[LocalSubnetInfoResponse], null] | |
lock_enabled optional | Use Lock Example : True
| boolean | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified by Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
network_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
os_type required | OS type Example : WINDOWS
| string | |
placement_group_name optional | Placement Group Name Example : pgtest
| any of [string, null] | |
policy_ip required | Policy IP Example : 192.168.0.1
| string | |
private_nat_info optional | Private NAT info
| any of [BaremetalStaticNatResponseV1Dot1, null] | |
product_type_id required | Bare Metal Server scale ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
public_nat_info optional | Public NAT info
| any of [BaremetalStaticNatResponseV1Dot1, null] | |
region_id required | Region ID Example : kr-west1
| string | |
root_account required | Root Account Example : rootaccount
| string | |
server_name required | Bare Metal Server name Example : bmserver-001
| string | |
server_type required | Bare Metal Server scale type Example : s1v8m32_metal
| string | |
state required | Bare Metal Server state Example : RUNNING
| string | |
time_zone required | Time Zone Example : Asia/Seoul
| string | |
use_local_subnet optional | Use Local Subnet Example : True
| boolean | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.12 - BaremetalsOperationRequest
| Name | Description | Schema | Default |
|---|
bare_metal_server_ids required | Bare Metal Server IDs Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[object] | |
2.13 - BaremetalStaticNatResponseV1Dot1
| Name | Description | Schema | Default |
|---|
nat_id optional | NAT ID Example : a4fd0216cd32442a82733bbb8be0e82b
| any of [string, null] | |
nat_ip required | NAT IP Example : 192.170.2.10
| string | |
nat_ip_id required | NAT IP ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
state required | Static NAT state Example : ACTIVE
| string | |
static_nat_id optional | Static NAT ID Example : a1b97ae4695b40b0866e86a19cb191d3
| any of [string, null] | |
2.14 - BaremetalTerminateRequest
| Name | Description | Schema | Default |
|---|
baremetal_id_list required | Bare Metal Server IDs Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[object] | |
2.16 - ImageShowResponse
| Name | Description | Schema | Default |
|---|
created_at required | Created at Example : 2024-07-11 08:56:59
| string | |
id required | Image ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
name required | Image name Example : RHEL 8.8 for BM
| string | |
os_distro required | OS type Example : RHEL
| string | |
scp_image_type required | Image Type Example : STANDARD
| string | |
scp_os_version required | OS version Example : 8.7
| string | |
2.17 - LocalDiskPartitionsRequest
| Name | Description | Schema | Default |
|---|
mount_point required | Mount Point Example : /mountpoint
| string | |
partition_name optional | Partition Name Example : partitionname
| any of [string, null] | |
partition_size required | Partition Size Example : 20
| integer | |
partition_type required | Partition Type Example : ext4
| string | |
2.18 - LocalSubnetAttachRequest
| Name | Description | Schema | Default |
|---|
local_subnet_id required | Local Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
local_subnet_ip optional | Policy Local Subnet IP Example : 192.168.0.1
| any of [string, null] | |
2.19 - LocalSubnetDetachRequest
| Name | Description | Schema | Default |
|---|
local_subnet_id required | Local Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
local_subnet_ip required | Policy Local Subnet IP Example : 192.168.0.1
| string | |
2.20 - LocalSubnetInfoResponse
| Name | Description | Schema | Default |
|---|
interface_name required | Interface Name Example : ens8f1,bond_serv.2
| string | |
local_subnet_id required | Local Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
policy_local_subnet_ip required | Policy Local Subnet IP Example : 192.168.0.1
| string | |
state required | LocalSubnet IP state Example : CREATING
| string | |
vlan_id required | Vlan Id Example : 500
| string | |
vni_role_name required | VNI Role Name Example : mgmtJ4dzQBo
| string | |
2.21 - LocalSubnetResponse
| Name | Description | Schema | Default |
|---|
baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
is_success optional | success flag Example : True
| boolean | |
2.22 - ProductListResponse
2.23 - ProductListResponseV1Dot1
2.24 - ProductShowResponse
| Name | Description | Schema | Default |
|---|
attri_name required | Attribute name Example : attri name
| string | |
attri_value required | Attribute value Example : attri value
| string | |
compute_class_type_name required | Compute class type name Example : StandardMetal-2
| string | |
compute_class_type_unit required | Compute class type unit Example : compute_class_type_unit
| string | |
compute_class_type_value required | Compute class type value Example : s2_metal
| string | |
cpu_generation required | CPU generation Example : cpu generation
| string | |
cpu_name required | CPU name Example : cpu 16 vCore
| string | |
cpu_unit required | CPU unit Example : vCPU
| string | |
cpu_value required | CPU value Example : 64
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | Created By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
description required | Description Example : vCPU 16 │ Memory 128G │ Disk 480G
| string | |
disk_name required | Disk name Example : disk_name
| string | |
disk_unit required | Disk unit Example : GB
| string | |
disk_value required | Disk value Example : 480
| string | |
id required | ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
infiniband_name required | InfiniBand name Example : infiniband_name
| string | |
infiniband_unit required | InfiniBand unit Example : infiniband_unit
| string | |
infiniband_value required | Infiniband value Example : infiniband_value
| string | |
memory_name required | Memory name Example : server memory 128GB
| string | |
memory_unit required | Memory unit Example : GB
| string | |
memory_value required | Memory value Example : 128
| string | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | Modified By Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
name required | Name Example : s2v16m128_metal
| string | |
name_with_generation required | Name with generation Example : s2v16m128_metal
| string | |
socket_name required | Socket name Example : socket_name
| string | |
socket_unit required | Socket unit Example : socket_unit
| string | |
socket_value required | Socket value Example : socket_value
| string | |
state required | State Example : AVAILABLE
| string | |
type required | Type Example : SCALE
| string | |
2.25 - ProductShowResponseV1Dot1
| Name | Description | Schema | Default |
|---|
compute_class_type_name required | Compute class type name Example : StandardMetal-2
| string | |
compute_class_type_value required | Compute class type value Example : s2_metal
| string | |
cpu_name required | CPU name Example : cpu 16 vCore
| any of [string, null] | |
cpu_unit required | CPU unit Example : vCPU
| string | |
cpu_value required | CPU value Example : 64
| string | |
created_at required | Created At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
description required | Description Example : vCPU 16 │ Memory 128G │ Disk 480G
| any of [string, null] | |
disk_unit required | Disk unit Example : GB
| any of [string, null] | |
disk_value required | Disk value Example : 480
| string | |
id required | ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
memory_name required | Memory name Example : server memory 128GB
| any of [string, null] | |
memory_unit required | Memory unit Example : GB
| any of [string, null] | |
memory_value required | Memory value Example : 128
| string | |
modified_at required | Modified At Example : 2024-05-17T00:23:17Z
| string (date-time) | |
name required | Name Example : s2v16m128_metal
| string | |
name_with_generation required | Name with generation Example : s2v16m128_metal
| string | |
os_disk_gb required | OS disk value Example : 480
| string | |
state required | State Example : AVAILABLE
| string | |
type required | Type Example : SCALE
| string | |
2.26 - ServerDetailsRequest
| Name | Description | Schema | Default |
|---|
bare_metal_local_subnet_id optional | Local Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| any of [string, null] | |
bare_metal_local_subnet_ip_address optional | Policy Local Subnet IP Example : 192.168.0.1
| any of [string, null] | |
bare_metal_server_name required | Bare Metal Server name Example : bmserver-001
| string | |
ip_address optional | Private IP Example : 192.168.0.1
| any of [string, null] | |
local_disk_partitions optional | Local Disk Partitions
| any of [array[LocalDiskPartitionsRequest], null] | |
local_disk_type optional | Local Disk Type Example : flat
| any of [string, null] | |
nat_enabled required | Use Public NAT Example : True
| boolean | |
public_ip_address_id optional | Public IP ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
server_type_id required | Server Type ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
use_hyper_threading optional | Use Hyper Threading Example : True
| boolean | |
2.27 - TagRequest
| Name | Description | Schema | Default |
|---|
key required | key Example : key
| string | |
value optional | value Example : value
| any of [string, null] | |